# norootforbuild

%define waddir  %{_datadir}/doom

Name:           freedoom-freedm

Version:        0.6.2
Release:        1
Summary:        Deathmatch levels for Doom

Group:          Amusements/Games
License:        BSD
URL:            http://freedoom.sourceforge.net
Source0:	http://downloads.sourceforge.net/freedoom/freedm-%{version}.zip
Source1:	freedoom-freedm.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build

BuildArch:	noarch
BuildRequires:  update-desktop-files
BuildRequires:  unzip
# Added BuildRequires in order to have a 'valid' desktop file as a result
BuildRequires:  prboom freedoom
Requires:       prboom freedoom
%if 0%{?suse_version} > 1020
BuildRequires:  licenses
Requires:       licenses
%endif


%description
A set of deathmatch levels for the DOOM game engine, based on the
freely redistributable Freedoom game files.


%prep
%setup -q -n freedm-%{version}


%build
# Game data files.  Nothing to build!

%install

%if 0%{?suse_version} > 1020
for FILE in COPYING ; do
        MD5SUM=$(md5sum $FILE | sed 's/ .*//')
        if test -f /usr/share/doc/licenses/md5/$MD5SUM ; then
                ln -sf /usr/share/doc/licenses/md5/$MD5SUM $FILE
        fi
done
%endif

#rm -rf $RPM_BUILD_ROOT
install -pD -m 0644 freedm.wad $RPM_BUILD_ROOT/%{waddir}/freedm.wad

%suse_update_desktop_file -i %{name} Game ActionGame

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{waddir}/freedm.wad
%{_datadir}/applications/*.desktop
%doc README COPYING CREDITS NEWS



%changelog

